Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027248
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorsometimes2014-07-31 12:102014-12-30 23:22
ReporterOrekariaView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRR14Q4
StatusclosedFix in branchFixed in SCM revisionbe816be4ad86
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027248: Sometimes the session expires before it should, use a different servlet/url for retrieving content before login

DescriptionSometimes the session expires before it should. This happens because the mobile core index.jsp page retrieves javascript and other generated content before the login has taken place.

The code uses the KernelServlet for this, this servlet in its base supports only authenticated access. Only with a workaround it was possible to also retrieve content when not yet authenticated.

To make this work better for mobile core applications (like WEBPOS) a new servlet is introduced which should be used for retrieving content generated by Components before logging in.

See the changeset for the index.jsp to get an example of the change needed.
http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/be816be4ad867771b406dcd0e95e0622f5e0c403 [^]
Steps To ReproduceExecute tests until shown in the tomcat log
Proposed SolutionChange the url to retrieve unauthenticated content.
TagsNo tags attached.
Attached Filesdiff file icon 27248_core_q24.diff [^] (13,399 bytes) 2014-10-03 14:09 [Show Content]
diff file icon 27248_posterminal_q24.diff [^] (6,125 bytes) 2014-10-03 14:09 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 00273723.0PR14Q4 closedAugustoMauch Openbravo ERP KernelServlet is not threadsafe 
depends on defect 0027200 closedOrekaria Retail Modules Stabilization: Current user/role has no access to class org.openbravo.retail.posterminal.term.Terminal 
related to defect 0027661RR14Q4 closedmtaal Retail Modules Stabilization: Index.jsp is not expiring so updates do not show up in the browser without clearing the cache 
blocks defect 0027337 acknowledgedRetail Retail Modules Stabilization: No tomcat errors while running the WebPOS 
blocks defect 0042676 newplatform Openbravo ERP Tomcat error appears when navigating to the ERP landing page with the Autologon feature active 

-  Notes
(0069490)
Orekaria (administrator)
2014-08-19 09:00

http://stackoverflow.com/questions/634929/how-to-check-if-a-session-is-invalid [^]
(0070255)
hgbot (developer)
2014-09-23 04:43

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 578c31177869e77787ded3c857983fd699d292f7
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Sep 23 04:42:33 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/578c31177869e77787ded3c857983fd699d292f7 [^]

Related to issue 27248: Sometimes the session expires before it should
Let all requests before the login go through a non-authenticating servlet

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M web/org.openbravo.mobile.core/source/data/ob-model.js
A src/org/openbravo/mobile/core/MobileCoreComponentServlet.java
---
(0070256)
hgbot (developer)
2014-09-23 04:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: be816be4ad867771b406dcd0e95e0622f5e0c403
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Sep 23 04:44:12 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/be816be4ad867771b406dcd0e95e0622f5e0c403 [^]

Fixes issue 27248: Sometimes the session expires before it should
Let all requests before the login go through a non-authenticating servlet

---
M web/org.openbravo.retail.posterminal/index.jsp
---
(0070264)
migueldejuana (developer)
2014-09-23 08:33

tested and reviewed in dac0cfbd526b
(0070278)
hgbot (developer)
2014-09-23 12:02

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 498c721ca4241f393f2a220a617dbe1e3fedfe3e
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Sep 23 12:00:03 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/498c721ca4241f393f2a220a617dbe1e3fedfe3e [^]

Related to issue 27248: Sometimes the session expires before it should

---
M src/org/openbravo/mobile/core/MobileCoreComponentServlet.java
---
(0070282)
hgbot (developer)
2014-09-23 15:35

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 57a765d1b1540650d27599c1ed75921d25d21bc5
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Sep 23 15:34:15 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/57a765d1b1540650d27599c1ed75921d25d21bc5 [^]

Related to issue 27248: Sometimes the session expires before it should
Changes after code review

---
M src/org/openbravo/mobile/core/MobileCoreComponentServlet.java
---
(0070283)
hgbot (developer)
2014-09-23 15:35

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 68ef4e1ffb147987744280803e4eb639bc74848e
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Sep 23 15:34:39 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/68ef4e1ffb147987744280803e4eb639bc74848e [^]

Related to issue 27248: Sometimes the session expires before it should
Small change as part of this issue, saves one db query

---
M src/org/openbravo/mobile/core/login/MobileCoreLoginHandler.java
---
(0070284)
hgbot (developer)
2014-09-23 15:47

Repository: erp/devel/pi
Changeset: e3050b112ed517232a30a960e9d207ae12a15847
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Sep 23 15:37:31 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e3050b112ed517232a30a960e9d207ae12a15847 [^]

Related to issue 27248: Sometimes the session expires before it should
Added deprecated warning to previous code to handle unauthenticated actions added code comments

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelServlet.java
---
(0070321)
hgbot (developer)
2014-09-24 19:45

Repository: erp/devel/pi
Changeset: 713f25f27b6765d58fb4a45bba4dba49b684568d
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Wed Sep 24 19:44:40 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/713f25f27b6765d58fb4a45bba4dba49b684568d [^]

Related to issue 27248: Added 'howto fix' to the log message, but...
- would still be nicer if we inform in the message about the requested resource so the dev knows which one needs to be changed

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelServlet.java
---
(0070322)
hgbot (developer)
2014-09-24 19:47

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: b4430f1e8bc5bec96005349541e35f3d04afe4da
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Wed Sep 24 19:47:02 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b4430f1e8bc5bec96005349541e35f3d04afe4da [^]

Related to issue 27248: Fixed the manifest to use the new servlet

---
M src/org/openbravo/mobile/core/templates/cache-manifest.ftl
---
(0070325)
hgbot (developer)
2014-09-24 19:52

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f6e4ce6e0dd8a631caa7be9856dda6a37ca87b5e
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Wed Sep 24 19:50:28 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f6e4ce6e0dd8a631caa7be9856dda6a37ca87b5e [^]

Related to issue 27248: Fixed 'ApplicationCacheComponent' to use the new servlet and...
- also added the 'DiscountFilterRole' source that was missing in the manifest and was provoking the offline mode to miss this resource

---
M src/org/openbravo/retail/posterminal/ApplicationCacheComponent.java
---
(0070359)
hudsonbot (developer)
2014-09-25 11:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/63604e8e17b7 [^]
Maturity status: Test
(0070361)
hudsonbot (developer)
2014-09-25 11:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/63604e8e17b7 [^]
Maturity status: Test
(0070451)
hgbot (developer)
2014-09-26 18:17

Repository: erp/devel/pi
Changeset: 6ead95cef7ec799776362fafd47805ba9502fcb1
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Sep 26 18:17:10 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6ead95cef7ec799776362fafd47805ba9502fcb1 [^]

Related to issue 27248: added request url to warning message, made specific methods private
Made specific static methods private as there is no use for them being protected and
would just increase the api.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelServlet.java
---
(0070497)
dmitry_mezentsev (developer)
2014-09-29 13:53

New API method is approved.
(0070516)
hudsonbot (developer)
2014-09-29 22:00

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b0bbca1e7e46 [^]
Maturity status: Test
(0070700)
hgbot (developer)
2014-10-03 15:03

Repository: erp/pmods/org.openbravo.retail.discounts.combo
Changeset: ab67a4d6a893607ea157c7b018910b545ab59951
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Oct 03 15:03:17 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/ab67a4d6a893607ea157c7b018910b545ab59951 [^]

Related to issue 27248, prevent requests to authenticated servlet
Change urls to use unauthenticated servlet

---
M src/org/openbravo/retail/discounts/combo/master/CombosAppCacheProvider.java
---
(0070716)
hgbot (developer)
2014-10-05 22:54

Repository: erp/devel/pi
Changeset: a7d456a23dcefc283470644aa448a4a899283816
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Oct 05 22:54:12 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a7d456a23dcefc283470644aa448a4a899283816 [^]

Related to issue 27248: Sometimes the session expires before it should, improve log warning message
Improve the log warning message so that it shows more information when an invalid pre-login
request is received.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelServlet.java
---
(0070717)
hgbot (developer)
2014-10-05 22:55

Repository: erp/pmods/org.openbravo.retail.discounts.bytotal
Changeset: 55b9b1d6e54e9ba5b98d7fea8cac6e57b87bba31
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Oct 05 22:55:47 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bytotal/rev/55b9b1d6e54e9ba5b98d7fea8cac6e57b87bba31 [^]

Related to issue 27248: Sometimes the session expires before it should, let discounts by total use correct servlet
Changes the url used by the discounts by total module use the mobile.core servlet instead of the
authenticated client kernel servlet.

---
M src/org/openbravo/retail/discounts/bytotal/master/DiscountsByTotalAppCacheProvider.java
---
(0072020)
hgbot (developer)
2014-11-26 11:00

Repository: erp/pmods/org.openbravo.mobile.procurement
Changeset: eb4d0fd8c1f71ba7917536de24eb211057df360f
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Nov 26 11:00:23 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.procurement/rev/eb4d0fd8c1f71ba7917536de24eb211057df360f [^]

Related issue 27248: Sometimes the session expires before it should
Let all requests before the login go through a non-authenticating servlet

---
M web/org.openbravo.mobile.procurement/index.html
---
(0072021)
hgbot (developer)
2014-11-26 11:02

Repository: erp/pmods/org.openbravo.mobile.warehouse
Changeset: 46a29c892339c33333e26306472db8401028bb7f
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Nov 26 11:02:17 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.warehouse/rev/46a29c892339c33333e26306472db8401028bb7f [^]

Related issue 27248: Sometimes the session expires before it should
Let all requests before the login go through a non-authenticating servlet

---
M web/org.openbravo.mobile.warehouse/index.html
---
(0072022)
hgbot (developer)
2014-11-26 11:24

Repository: erp/pmods/org.openbravo.mobile.procurement
Changeset: beebb3a4e197c58a1ab9f1aa66d7437a873f1dd5
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Nov 26 11:24:17 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.procurement/rev/beebb3a4e197c58a1ab9f1aa66d7437a873f1dd5 [^]

Related issue 27248: Sometimes the session expires before it should
Let all requests before the login go through a non-authenticating servlet

---
M src/org/openbravo/mobile/procurement/ProcurementApplicationCacheComponent.java
---
(0072896)
hudsonbot (developer)
2014-12-30 23:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-31 12:10 Orekaria New Issue
2014-07-31 12:10 Orekaria Assigned To => marvintm
2014-07-31 12:10 Orekaria Triggers an Emergency Pack => No
2014-08-19 09:00 Orekaria Note Added: 0069490
2014-08-19 09:01 Orekaria Relationship added blocks 0026955
2014-08-19 09:01 Orekaria Relationship added blocks 0027337
2014-08-19 13:14 mtaal Relationship added depends on 0027372
2014-08-22 23:08 Orekaria Relationship added depends on 0027200
2014-08-23 01:14 Orekaria Relationship deleted blocks 0026955
2014-09-23 04:43 hgbot Checkin
2014-09-23 04:43 hgbot Note Added: 0070255
2014-09-23 04:44 hgbot Checkin
2014-09-23 04:44 hgbot Note Added: 0070256
2014-09-23 04:44 hgbot Status new => resolved
2014-09-23 04:44 hgbot Resolution open => fixed
2014-09-23 04:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/be816be4ad867771b406dcd0e95e0622f5e0c403 [^]
2014-09-23 08:33 migueldejuana Review Assigned To => migueldejuana
2014-09-23 08:33 migueldejuana Note Added: 0070264
2014-09-23 08:33 migueldejuana Status resolved => closed
2014-09-23 08:33 migueldejuana Fixed in Version => RR14Q4
2014-09-23 12:02 hgbot Checkin
2014-09-23 12:02 hgbot Note Added: 0070278
2014-09-23 13:00 mtaal Summary Sometimes the session expires before it should => Sometimes the session expires before it should, use a different servlet/url for retrieving content before login
2014-09-23 13:00 mtaal Description Updated View Revisions
2014-09-23 13:00 mtaal Proposed Solution updated
2014-09-23 15:35 hgbot Checkin
2014-09-23 15:35 hgbot Note Added: 0070282
2014-09-23 15:35 hgbot Checkin
2014-09-23 15:35 hgbot Note Added: 0070283
2014-09-23 15:47 hgbot Checkin
2014-09-23 15:47 hgbot Note Added: 0070284
2014-09-24 19:45 hgbot Checkin
2014-09-24 19:45 hgbot Note Added: 0070321
2014-09-24 19:47 hgbot Checkin
2014-09-24 19:47 hgbot Note Added: 0070322
2014-09-24 19:52 hgbot Checkin
2014-09-24 19:52 hgbot Note Added: 0070325
2014-09-24 20:43 Orekaria Relationship added related to 0027661
2014-09-25 11:30 hudsonbot Checkin
2014-09-25 11:30 hudsonbot Note Added: 0070359
2014-09-25 11:30 hudsonbot Checkin
2014-09-25 11:30 hudsonbot Note Added: 0070361
2014-09-26 18:17 hgbot Checkin
2014-09-26 18:17 hgbot Note Added: 0070451
2014-09-29 13:53 dmitry_mezentsev Note Added: 0070497
2014-09-29 22:00 hudsonbot Checkin
2014-09-29 22:00 hudsonbot Note Added: 0070516
2014-10-03 14:09 mtaal File Added: 27248_core_q24.diff
2014-10-03 14:09 mtaal File Added: 27248_posterminal_q24.diff
2014-10-03 15:03 hgbot Checkin
2014-10-03 15:03 hgbot Note Added: 0070700
2014-10-05 22:54 hgbot Checkin
2014-10-05 22:54 hgbot Note Added: 0070716
2014-10-05 22:55 hgbot Checkin
2014-10-05 22:55 hgbot Note Added: 0070717
2014-11-26 11:00 hgbot Checkin
2014-11-26 11:00 hgbot Note Added: 0072020
2014-11-26 11:02 hgbot Checkin
2014-11-26 11:02 hgbot Note Added: 0072021
2014-11-26 11:24 hgbot Checkin
2014-11-26 11:24 hgbot Note Added: 0072022
2014-12-30 23:22 hudsonbot Checkin
2014-12-30 23:22 hudsonbot Note Added: 0072896
2020-01-02 11:51 inaki_garcia Relationship added causes 0042676
2020-01-02 11:52 inaki_garcia Relationship replaced blocks 0042676


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker